(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 583);
/******/ })
/************************************************************************/
/******/ ({

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var getCategory = exports.getCategory = function getCategory(item) {
  var mtype = item.mtype,
      type = item.type,
      market = item.market,
      objectType = item.objectType;


  if (objectType === 'FUND') {
    return '基金';
  }

  switch (mtype) {
    case 'STOCK':
      {
        if (type === 'COMMON') {
          switch (market) {
            case 'TWS':
            case 'TWG':
              return '台股';
            case 'USS':
              return '美股';
            case 'HKS':
            case 'CNS':
              return '陸港股';
            default:
              return '';
          }
        } else {
          return 'ETF';
        }
      }
    case 'FOREX':
      {
        if (market === 'CC') {
          return '加密貨幣';
        }

        return '外匯';
      }
    case 'FUTURES':
      return '期貨';
    case 'INDEX':
      return '指數';
    case 'EOD':
      return 'EOD';
    // eslint-disable-next-line no-fallthrough
    default:
      return '';
  }
};

var getExchange = exports.getExchange = function getExchange(item) {
  var mtype = item.mtype,
      exchange = item.exchange,
      market = item.market,
      objectType = item.objectType;


  if (objectType === 'FUND') {
    return '';
  }

  switch (mtype) {
    case 'STOCK':
    case 'FUTURES':
      return exchange;
    case 'FOREX':
      if (market === 'CC') {
        return exchange;
      }

      return '';
    case 'INDEX':
    case 'EOD':
    default:
      return '';
  }
};

exports.default = {
  getCategory: getCategory,
  getExchange: getExchange
};

/***/ }),

/***/ 583:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(26);


/***/ })

/******/ });
});